%define minver %(echo %version | cut -d. -f4)
%define majver %(echo %version | cut -d. -f1-3)
%define majver2 %(echo %version | cut -d. -f1-2)
Name:          xsd
Version:       4.0.0
Release:       1mamba
Summary:       A W3C XML Schema to C++ translator
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://codesynthesis.com/projects/xsd/
Source:        http://codesynthesis.com/download/xsd/%{majver2}/xsd-%{majver}%{?minver:%minver}+dep.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libboost-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libxerces-c-devel
## AUTOBUILDREQ-END
BuildRequires: build
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
CodeSynthesis XSD is a W3C XML Schema to C++ translator. It generates vocabulary-specific, statically-typed C++ mappings (also called bindings) from XML Schema definitions. XSD supports two C++ mappings: in-memory C++/Tree and event-driven C++/Parser.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libxsd-devel
Obsoletes:     libxsd-devel

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n %{name}-%{majver}%{?minver:%minver}+dep

%build
# FIXME: make files building examples but we don't care at the time
make verbose=1 || true<< _EOF
_EOF

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall install_prefix=%{buildroot}%{_prefix}
# %{_bindir}/xsd is already provided by mono-web
mv %{buildroot}%{_bindir}/xsd %{buildroot}%{_bindir}/xsdcxx
mv %{buildroot}%{_mandir}/man1/xsd.1 %{buildroot}%{_mandir}/man1/xsdcxx.1

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/xsdcxx
%{_mandir}/man1/xsdcxx.1*
%doc xsd/LICENSE

%files devel
%dir %{_includedir}/xsd
%{_includedir}/xsd/*
%defattr(-,root,root)
%dir %{_docdir}/xsd
%{_docdir}/xsd/*
%dir %{_docdir}/libxsd
%{_docdir}/libxsd/*
%doc xsd/NEWS xsd/README

%changelog
* Thu Oct 09 2014 Automatic Build System <autodist@mambasoft.it> 4.0.0-1mamba
- automatic version update by autodist

* Wed Mar 06 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.0.2-3mamba
- rebuilt using package with internal deps because external libcult can't be build

* Mon Dec 31 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.0.2-2mamba
- rebuilt with libboost 1.52

* Thu Aug 09 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.0.2-1mamba
- package created by autospec
